Information on source package pango1.0

Available versions

ReleaseVersion
jessie1.36.8-3
stretch1.40.5-1
buster1.42.4-6
buster (security)1.42.4-7~deb10u1
bullseye1.42.4-7
sid1.42.4-7

Resolved issues

BugDescription
CVE-2019-1010238Gnome Pango 1.42 and later is affected by: Buffer Overflow. The impact ...
CVE-2018-15120libpango in Pango 1.40.8 through 1.42.3, as used in hexchat and other ...
CVE-2011-3193Heap-based buffer overflow in the Lookup_MarkMarkPos function in the H ...
CVE-2011-0064The hb_buffer_ensure function in hb-buffer.c in HarfBuzz, as used in P ...
CVE-2011-0020Heap-based buffer overflow in the pango_ft2_font_render_box_glyph func ...
CVE-2010-0421Array index error in the hb_ot_layout_build_glyph_classes function in ...
CVE-2009-1194Integer overflow in the pango_glyph_string_set_size function in pango/ ...

Security announcements

DSA / DLADescription
DSA-4496-1pango1.0 - security update
DSA-2178-1pango1.0 - NULL pointer dereference
DSA-2019-1pango1.0 - denial of service
DSA-1798-1pango1.0 - arbitrary code execution
DSA-1798-1pango1.0 - arbitrary code execution

Search for package or bug name: Reporting problems